<div class="min-h-full">
    <app-nav-bar></app-nav-bar>
    <header class="bg-white shadow">
      <div class="mx-auto max-w-7xl py-6 px-4 sm:px-6 lg:px-8">
        <h1 class="text-3xl font-bold tracking-tight text-gray-900">Products</h1>
      </div>
    </header>
    <main>
      <div class="mx-auto max-w-7xl py-6 sm:px-6 lg:px-8">
        <!-- Replace with your content -->
        <div class="px-4 py-6 sm:px-0">
          <div class="d-grid gap-2">
            <button class="btn btn-outline-primary" (click)="changeComprar()" type="button">Comprar</button>
          </div>
          <app-products-list (newItemEvent)="addItem($event)" [resetCart]="reset"></app-products-list>
          <app-buy *ngIf="comprar" (newItemEvent)="closeModal($event)" [cart]="cart"></app-buy>
         </div>
        <!-- /End replace -->
      </div>
    </main>
  </div>

  